%define pkgname kqemu
%define modname qemu
%define modver  1.3.0
%define modrel  pre11


Summary:        The QEMU Accelerator Module
Name:           %{modname}-kmod-common
Version:        %{modver}
Release:        0.2.%{modrel}%{?dist}%{?pext}
License:        GPL
Group:          System Environment/Kernel
Source0:        http://bellard.org/%{modname}/%{pkgname}-%{modver}%{modrel}.tar.gz
URL:            http://bellard.org/%{modname}/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         Fabrice Bellard
Requires:       %{modname}-kmod >= %{modver} udev
Requires(pre):  /usr/sbin/groupadd
BuildArch:      noarch


%description
The QEMU Accelerator (KQEMU) is a driver allowing the QEMU PC emulator
to run much faster when emulating a PC on an x86 host. It is supported
on x86 or x86_64 Linux 2.4 or 2.6 hosts.


%prep
%setup -q -n %{pkgname}-%{modver}%{modrel}


%build


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/udev/rules.d

echo -e "# KQEMU\nKERNEL==\"%{pkgname}\", GROUP=\"%{modname}\", MODE=\"0660\"" \
	>${RPM_BUILD_ROOT}%{_sysconfdir}/udev/rules.d/99-%{pkgname}.rules


%pre
if ! getent group %{modname} >/dev/null 2>&1; then
  /usr/sbin/groupadd -r %{modname}
fi
exit 0			# Always pass


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING Changelog LICENSE README *.html
%config(noreplace) %{_sysconfdir}/udev/rules.d/99-%{pkgname}.rules


%changelog
* Tue Oct 28 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.3.0-0.2.pre11
- Initial build
